.picker-control-wrapper {
  position: relative;

  &:after {
    content: "A";
    @extend %ic;
    position: absolute;
    right: 1em;
    top: 50%;
    font-size: 12px;
    transform: translateY(-50%);
    transition: all 0.3s;
  }
}

.picker-control {
  display: block;
  background-color: $color-white;
  border-radius: 4px;
  border: 1px solid $color-pigeon-grey;
  width: 100%;
  padding: 0 0 0 0.85em;
  line-height: 40px;
  height: 40px;
  margin-bottom: 0;
  transition: all 0.3s;
  appearance: none;
  cursor: pointer;
  color: $color-secondary-black;

  @include media-breakpoint-up(md) {
    font-size: 1.125em;
    line-height: 50px;
    height: 50px;
  }

  &::-ms-expand {
    display: none;
  }
}

@media (min-width: 370px) {
  .picker-control {
    padding: 0 0 0 1.2em;
  }
  .picker-control-wrapper:after {
    right: 1.25em;
  }
}
@include media-breakpoint-up(md) {
  .picker-control-wrapper:after {
    right: 1em;
  }
}

.form-checkbox-label {
  position: relative;
  padding-left: 20px;

  &:before {
    content: "";
    display: block;
    width: 14px;
    height: 14px;
    border: 1px solid $color-pigeon-grey;
    border-radius: 2px;
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    transition: all 0.3s;
    background-color: $color-white;
  }
  &:after {
    content: "";
    display: block;
    position: absolute;
    left: 0;
    top: 50%;
    width: 9px;
    height: 5px;
    margin: -2px 0 0 3px;
    border: 1px solid $color-white;
    border-color: transparent transparent $color-white $color-white;
    transform: translateY(-50%) rotate(-45deg) scale(1);
    transition: all 0.5s;
    opacity: 0;
  }
  .form-checkbox:checked ~ & {
    &:before {
      background-color: $color-skm-red;
      border-color: $color-skm-red;
    }
    &:after {
      opacity: 1;
    }
  }
}

.form-checkbox {
  display: none;
}

.form-actions {
  margin: $grid-gutter-width * 1.5 0;
}

.form-control-wrapper {
  position: relative;

  .picker-control-wrapper {
    position: absolute;
    right: 0;
    top: 0;
    width: 85px;
    color: $color-skm-red;
  }
  .picker-control {
    border: none;
    background-color: transparent;
    color: $color-skm-red;
  }
}

.form-label {
  font-size: 0.875em;

  @include media-breakpoint-up(md) {
    font-size: 1em;
  }
}

.form-group {
  @include media-breakpoint-up(md) {
    margin-bottom: 40px;
  }
}

.form-text {
  font-size: 12px;
}

input[type="text"],
input[type="tel"] {
  max-width: 380px;
}

.form-max-width {
  max-width: 380px;
}

.form-control {
  @include media-breakpoint-up(md) {
    padding: 13px 20px;
    font-size: 1.125em;
  }

  &::placeholder{
    color: $color-silver-grey;
  }
}

.form-control--new {
  border: 0;
  border-bottom: $border-width solid $color-pigeon-grey;
  padding: 8px 20px !important;
  background-color: transparent;
  height: 44px !important;
  resize: none;

  &:focus {
    outline: none;
    box-shadow: none;
    background-color: transparent;
  }
}
